Skip to main content
PATCH
/
v1
/
collections
/
{collection_identifier}
/
lifecycle
Transition Lifecycle
curl --request PATCH \
  --url https://api.mixpeek.com/v1/collections/{collection_identifier}/lifecycle \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "async_transition": true
}
'
import requests

url = "https://api.mixpeek.com/v1/collections/{collection_identifier}/lifecycle"

payload = { "async_transition": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({async_transition: true})
};

fetch('https://api.mixpeek.com/v1/collections/{collection_identifier}/lifecycle', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "collection_id": "<string>",
  "s3_vector_index": "<string>",
  "vector_document_count": 123,
  "s3_vector_count": 123,
  "last_transitioned_at": "2023-11-07T05:31:56Z",
  "task_id": "<string>",
  "warning": "<string>"
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

collection_identifier
string
required

Collection ID or name

Body

application/json
lifecycle_state
enum<string>
required

Target lifecycle state for the collection

Available options:
active,
cold,
archived
async_transition
boolean
default:true

If False, block until the transition completes

Response

Successful Response

collection_id
string
required
lifecycle_state
enum<string>
required
Available options:
active,
cold,
archived
s3_vector_index
string | null
vector_document_count
integer | null
s3_vector_count
integer | null
last_transitioned_at
string<date-time> | null
task_id
string | null
warning
string | null